/*
polyprint.v1

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package polyprintapi

import (
	"encoding/json"
)

// checks if the NfcOrder200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &NfcOrder200Response{}

// NfcOrder200Response struct for NfcOrder200Response
type NfcOrder200Response struct {
	Link interface{} `json:"link,omitempty"`
}

// NewNfcOrder200Response instantiates a new NfcOrder200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewNfcOrder200Response() *NfcOrder200Response {
	this := NfcOrder200Response{}
	return &this
}

// NewNfcOrder200ResponseWithDefaults instantiates a new NfcOrder200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewNfcOrder200ResponseWithDefaults() *NfcOrder200Response {
	this := NfcOrder200Response{}
	return &this
}

// GetLink returns the Link field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *NfcOrder200Response) GetLink() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Link
}

// GetLinkOk returns a tuple with the Link field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *NfcOrder200Response) GetLinkOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Link) {
		return nil, false
	}
	return &o.Link, true
}

// HasLink returns a boolean if a field has been set.
func (o *NfcOrder200Response) HasLink() bool {
	if o != nil && IsNil(o.Link) {
		return true
	}

	return false
}

// SetLink gets a reference to the given interface{} and assigns it to the Link field.
func (o *NfcOrder200Response) SetLink(v interface{}) {
	o.Link = v
}

func (o NfcOrder200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o NfcOrder200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if o.Link != nil {
		toSerialize["link"] = o.Link
	}
	return toSerialize, nil
}

type NullableNfcOrder200Response struct {
	value *NfcOrder200Response
	isSet bool
}

func (v NullableNfcOrder200Response) Get() *NfcOrder200Response {
	return v.value
}

func (v *NullableNfcOrder200Response) Set(val *NfcOrder200Response) {
	v.value = val
	v.isSet = true
}

func (v NullableNfcOrder200Response) IsSet() bool {
	return v.isSet
}

func (v *NullableNfcOrder200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableNfcOrder200Response(val *NfcOrder200Response) *NullableNfcOrder200Response {
	return &NullableNfcOrder200Response{value: val, isSet: true}
}

func (v NullableNfcOrder200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableNfcOrder200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


